Package org.eclipse.m2m.atl.core.ant.tasks.nested

# Class InModel

java.lang.Object
org.eclipse.m2m.atl.core.ant.tasks.nested.InModel

public class InModel extends Object
Input model nested element.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`metamodelName`
`protected String`
`model`
`protected String`
`name`

## Constructor Summary

Constructors
Constructor
Description
`InModel()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getMetamodelName()`
`String`
`getModel()`
`String`
`getName()`
`void`
`setMetamodelName(String metamodelName)`
`void`
`setModel(String model)`
`void`
`setName(String name)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### model

protected String model

### name

protected String name

### metamodelName

protected String metamodelName

## Constructor Details

### InModel

public InModel()

## Method Details

### setModel

public void setModel(String model)

### getModel

public String getModel()

### getName

public String getName()

### setName

public void setName(String name)

### getMetamodelName

public String getMetamodelName()

### setMetamodelName

public void setMetamodelName(String metamodelName)